import dynamix_sdk.base as _base


class CloudapiComputeChangeMtuResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeChangeMtuProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def change_mtu(
        self,
        *,
        vm_id: int,
        interface: str,
        mtu: int,
    ) -> CloudapiComputeChangeMtuResultBool:
        ...
